function [total_error, max_error] = error_sampling(eta, ISE_eta)
%% Error sampling of Simulink cases
%
% Created by Christoffer Ofstad, 20.02.2014
%
%total_error: A vector containing ISE in N,E,psi
%max_error: A vector containing the maximal error in N, E and psi directions
%respectively, and lastly the maximal position error

total_error = ISE_eta.signals.values(end,:)';
max_error = max(abs(eta.signals.values))';

error_dist=zeros(1,length(eta.signals.values));
for i=1:length(eta.signals.values)
    error_dist(i)=sqrt((eta.signals.values(i,1))^2+(eta.signals.values(i,2))^2);
    
end
max_error = [max_error;max(error_dist)];

end
