%% Plot cubic controller testing
%
% Created by: Christoffer Ofstad 20.02.2014
%
figure
subplot(2,1,1)
plot(pd.time,pdp3.signals.values,'b','Linewidth',2)
hold on
plot(pd.time,pdp3d3.signals.values,'r','Linewidth',2)
hold on
plot(pd.time,pd.signals.values,'g','Linewidth',2)
xlabel('Time (s)')
ylabel('Large ref=10')

h_legend=legend('PDP^3 controller with cubic stiffness',...
    'PDP^3D^3 controller with cubic stiffness and damping',...
    'Simple PD controller','Location','NorthEast');
set(h_legend,'FontSize',10)



set(gca,'FontSize',14)
xlhand = get(gca,'xlabel');
set(xlhand,'fontsize',14)
ylhand = get(gca,'ylabel');
set(ylhand,'fontsize',14)
zlhand = get(gca,'zlabel');
set(zlhand,'fontsize',14)
subplot(2,1,2)
plot(pd.time,pdp3_small.signals.values,'b','Linewidth',2)
hold on
plot(pd.time,pdp3d3_small.signals.values,'r','Linewidth',2)
hold on
plot(pd.time,pd_small.signals.values,'g','Linewidth',2)
xlabel('Time (s)')
ylabel('Small ref=.5')
set(gca,'FontSize',14)
xlhand = get(gca,'xlabel');
set(xlhand,'fontsize',14)
ylhand = get(gca,'ylabel');
set(ylhand,'fontsize',14)
zlhand = get(gca,'zlabel');
set(zlhand,'fontsize',14)


set(gcf,'PaperUnits','inches','PaperPosition',2.66*[0 0 4 3])
print -dpng plots\cubic_damping.png -r300